{% macro addButton(addPath, title, class = "text-center") %}
{#    <div class="row">#}
{#        <div class="col-md-12 top17 {{ class }}">#}
{#            <div class="btn-group">#}
{#                <a href="{{ path(addPath) }}" class="btn btn-primary">#}
{#                    <i class="fas fa-plus-circle"></i>#}
{#                    {{ title }}#}
{#                </a>#}
{#            </div>#}
{#        </div>#}
{#    </div>#}

    <div class="row">
        <div class="col-7 {{ class }}">
            <a href="{{ path(addPath) }}" class="btn btn-primary">
                <span class="fa fa-plus-circle"></span>
                {{ title }}
            </a>
        </div>
    </div>
{% endmacro %}

{% macro editButton(editPath, id = null) %}
    {% if id == null %}
        <a href="{{ path(editPath) }}" class="btn btn-outline-primary borderless" title="Modifier">
            <span class="fas fa-pen"></span>
        </a>
    {% else %}
        <a href="{{ path(editPath, {'id': id}) }}" class="btn btn-outline-primary borderless" title="Modifier">
            <span class="fas fa-pen"></span>
        </a>
    {% endif %}
{% endmacro %}

{% macro showButton(showPath, id) %}
    <a href="{{ path(showPath, {'id': id}) }}" class="btn btn-outline-primary borderless" title="Visualiser">
        <span class="fa fa-eye"></span>
    </a>
{% endmacro %}

{% macro downloadButton(downloadPath, id) %}
    <a href="{{ path(downloadPath, {'id': id}) }}" class="btn btn-outline-secondary borderless" title="Télécharger">
        <span class="fas fa-download"></span>
    </a>
{% endmacro %}

{% macro toggleButton(togglePath, id, value, page = 1) %}
    {% if (value == true) %}
        {% set class = 'btn-outline-success' %}
        {% set title = 'Désactiver' %}
        {% set icon = 'fa-toggle-on' %}
    {% else %}
        {% set class = 'btn-outline-primary' %}
        {% set title = 'Activer' %}
        {% set icon = 'fa-toggle-off' %}
    {% endif %}

    <form action="{{ path(togglePath, {page: page}) }}" method="post">
        <button class="btn {{ class }} borderless" title="{{ title }}">
            <span class="fa {{ icon }}"></span>
        </button>
        <input type="hidden" name="toggle[]" value="{{ id }}" />
    </form>
{% endmacro %}

{% macro btnActivatedMultipleWithModal(idBtn, title, pathAction, content, page = 1) %}
    <button id="{{ idBtn }}" type="button" class="btn btn-outline-success" title="Activer"
            data-bs-target="#modalActivatedMultiple" data-bs-toggle="modal" disabled="disabled">
        <span class="fa fa-toggle-on"></span>
        Activer
    </button>

    <div id="modalActivatedMultiple" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                        {{ title }}
                    </h4>
                    <button class="close" data-bs-dismiss="modal" type="button">&times;</button>
                </div>
                <div class="modal-body">
                    {{ content }}
                </div>

                <div class="modal-footer">
                    {{ _self.cancelBtnModal() }}

                    <form method="post" id="activatedMultiTypeEntity" action="{{ path(pathAction, {page: page}) }}"
                          style="display: inline-block">
                        <input type="hidden" name="_method" value="POST">
                        <button type="submit" class="btn btn-success">
                            <span class="fa fa-toggle-on"></span>
                            Activer
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        document.getElementById('modalActivatedMultiple').addEventListener('shown.bs.modal', function (event) {
            let checkboxes = $('table tbody input[type=checkbox]'),
                hidden,
                value;

            $("#activatedMultiTypeEntity").find('input[type=hidden][name!=_method]').remove();

            $(checkboxes).each(function(idx) {
                if ($(checkboxes[idx]).prop('checked') === true) {
                    value = $(checkboxes[idx]).prop('value');

                    hidden = '<input type="hidden" name="toggle[]" value="' + value + '" />';

                    $("#activatedMultiTypeEntity").append(hidden);
                }
            });
        });
    </script>
{% endmacro %}

{% macro btnDeactivatedMultipleWithModal(idBtn, title, pathAction, content, page = 1) %}
    <button id="{{ idBtn }}" type="button" class="btn btn-outline-primary" title="Désactiver"
            data-bs-target="#modalDeactivatedMultiple" data-bs-toggle="modal" disabled="disabled">
        <span class="fa fa-toggle-off"></span>
        Désactiver
    </button>

    <div id="modalDeactivatedMultiple" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                        {{ title }}
                    </h4>
                    <button class="close" data-bs-dismiss="modal" type="button">&times;</button>
                </div>
                <div class="modal-body">
                    {{ content }}
                </div>

                <div class="modal-footer">
                    {{ _self.cancelBtnModal() }}

                    <form method="post" id="deactivatedMultiTypeEntity" action="{{ path(pathAction, {page: page}) }}"
                          style="display: inline-block">
                        <input type="hidden" name="_method" value="POST">
                        <button type="submit" class="btn btn-primary">
                            <span class="fa fa-toggle-off"></span>
                            Désactiver
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        document.getElementById('modalDeactivatedMultiple').addEventListener('shown.bs.modal', function (event) {
            let checkboxes = $('table tbody input[type=checkbox]'),
                hidden,
                value;

            $("#deactivatedMultiTypeEntity").find('input[type=hidden][name!=_method]').remove();

            $(checkboxes).each(function(idx) {
                if ($(checkboxes[idx]).prop('checked') === true) {
                    value = $(checkboxes[idx]).prop('value');

                    hidden = '<input type="hidden" name="toggle[]" value="' + value + '" />';

                    $("#deactivatedMultiTypeEntity").append(hidden);
                }
            });
        });
    </script>
{% endmacro %}

{#TODO: DELETE#}
{#{% macro activerMultipleButton(btnId, formId, activerPath, page = 1) %}#}
{#    <form id="{{ formId }}" action="{{ path(activerPath, {page: page}) }}" method="post">#}
{#        <button id="{{ btnId }}" class="btn btn-outline-success js-btn-activer" title="Activer" disabled="disabled"#}
{#                data-idbtnactiver="{{ btnId }}" data-idformactiver="{{ formId }}">#}
{#            <span class="fa fa-toggle-on"></span>#}
{#            Activer#}
{#        </button>#}
{#    </form>#}

{#    {{ encore_entry_script_tags('activerMultipleButton') }}#}
{#{% endmacro %}#}

{#TODO: DELETE#}
{#{% macro desactiverMultipleButton(btnId, formId, desactiverPath, page = 1) %}#}
{#    <form id="{{ formId }}" action="{{ path(desactiverPath, {page: page}) }}" method="post">#}
{#        <button id="{{ btnId }}" class="btn btn-outline-primary js-btn-desactiver" title="Désactiver" disabled="disabled"#}
{#                data-idbtndesactiver="{{ btnId }}" data-idformdesactiver="{{ formId }}">#}
{#            <span class="fa fa-toggle-off"></span>#}
{#            Désactiver#}
{#        </button>#}
{#    </form>#}

{#    {{ encore_entry_script_tags('desactiverMultipleButton') }}#}
{#{% endmacro %}#}

{% macro abrogerButton(abrogerPath, id, value, page = 1) %}
    {% if (value == false) %}
        {% set class = 'btn-outline-danger' %}
        {% set title = 'Abroger le référentiel' %}
        {% set icon = 'fa-toggle-on' %}
    {% else %}
        {% set class = 'btn-outline-success' %}
        {% set title = 'Révocation de l\'abrogation du référentiel' %}
        {% set icon = 'fa-toggle-off' %}
    {% endif %}

    <form action="{{ path(abrogerPath, {page: page}) }}" method="post">
        <button class="btn {{ class }} borderless" title="{{ title }}">
            <span class="fa {{ icon }}"></span>
        </button>
        <input type="hidden" name="abroger[{{ id }}]" value="{{ value }}" />
    </form>
{% endmacro %}

{% macro backButton(backPath, params = {}) %}
    <a href="{{ path(backPath, params) }}" class="btn btn-outline-primary">
        <span class="fa fa-arrow-left"></span>
        Retour
    </a>
{% endmacro %}

{% macro deleteButtonModal(id, title, pathAction, content, page = 1) %}
    <button type="button" class="btn btn-outline-danger borderless" title="Supprimer"
            data-bs-target="#modalDelete{{ id }}" data-bs-toggle="modal">
        <span class="fa fa-trash"></span>
    </button>

    <div id="modalDelete{{ id }}" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">{{ title }}</h4>
                    <button class="close" data-bs-dismiss="modal" type="button">&times;</button>
                </div>
                <div class="modal-body">
                    {{ content }}
                </div>

                <div class="modal-footer">
                    {{ _self.cancelBtnModal() }}

                    <form method="post" action="{{ path(pathAction, {id: id, page: page}) }}"
                          style="display: inline-block">
                        <input type="hidden" name="_method" value="DELETE">
                        <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ id) }}">
                        <button type="submit" class="btn btn-danger">
                            <span class="fa fa-trash"></span> Supprimer
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endmacro %}

{% macro btnDeleteMultipleWithModal(idBtn, title, pathAction, content, page = 1) %}
    <button id="{{ idBtn }}" type="button" class="btn btn-outline-danger" title="Supprimer"
            data-bs-target="#modalDeleteMultiple" data-bs-toggle="modal" disabled="disabled">
        <span class="fa fa-trash"></span>
    </button>

    <div id="modalDeleteMultiple" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                        {{ title }}
                    </h4>
                    <button class="close" data-bs-dismiss="modal" type="button">&times;</button>
                </div>
                <div class="modal-body">
                    {{ content }}
                </div>

                <div class="modal-footer">
                    {{ _self.cancelBtnModal() }}

                    <form method="post" id="deleteMultiTypeEntity" action="{{ path(pathAction, {page: page}) }}"
                          style="display: inline-block">
                        <input type="hidden" name="_method" value="DELETE">
                        <button type="submit" class="btn btn-danger">
                            <span class="fa fa-trash"></span>
                            Supprimer
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        document.getElementById('modalDeleteMultiple').addEventListener('shown.bs.modal', function (event) {
            let checkboxes = $('table tbody input[type=checkbox]'),
                hidden,
                value;

            $("#deleteMultiTypeEntity").find('input[type=hidden][name!=_method]').remove();

            $(checkboxes).each(function(idx) {
                if ($(checkboxes[idx]).prop('checked') === true) {
                    value = $(checkboxes[idx]).prop('value');

                    hidden = '<input type="hidden" name="delete[]" value="' + value + '" />';

                    $("#deleteMultiTypeEntity").append(hidden);
                }
            });
        });
    </script>
{% endmacro %}

{% macro btnReloadPasswordWithModal(id, title, pathAction, content, page = 1) %}
    <button type="button" class="btn btn-outline-primary borderless" title="Réinitialisation du mot de passe utilisateur"
            data-bs-target="#modalReload{{ id }}" data-bs-toggle="modal">
        <span class="fa-passwd-reset fa-stack">
            <i class="fa fa-sync-alt fa-stack-2x"></i>
            <i class="fa fa-lock fa-stack-1x"></i>
        </span>
    </button>

    <div id="modalReload{{ id }}" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">{{ title }}</h4>
                    <button class="close" data-bs-dismiss="modal" type="button">&times;</button>
                </div>
                <div class="modal-body">
                    {{ content }}
                </div>

                <div class="modal-footer">
                    {{ _self.cancelBtnModal() }}

                    <form method="post" action="{{ path(pathAction, {page: page}) }}"
                          style="display: inline-block">
                        <input type="hidden" name="_method" value="POST">
                        <input type="hidden" name="reload[]" value="{{ id }}" />
                        <button type="submit" class="btn btn-primary">
                            <span class="fas fa-sync-alt"></span>
                            Réinitialisation
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endmacro %}

{% macro btnReloadPasswordMultipleWithModal(idBtn, title, pathAction, content, page = 1) %}
    <button id="{{ idBtn }}" type="button" class="btn btn-outline-primary" title="Réinitialisation du mot de passe des utilisateurs"
            data-bs-target="#modalReloadPasswordMultiple" data-bs-toggle="modal" disabled="disabled">
        <span class="fa-passwd-reset fa-stack">
          <i class="fa fa-sync-alt fa-stack-2x"></i>
          <i class="fa fa-lock fa-stack-1x"></i>
        </span>
    </button>

    <div id="modalReloadPasswordMultiple" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                        {{ title }}
                    </h4>
                    <button class="close" data-bs-dismiss="modal" type="button">&times;</button>
                </div>

                <div class="modal-body">
                    {{ content }}
                </div>

                <div class="modal-footer">
                    {{ _self.cancelBtnModal() }}

                    <form method="post" id="reloadPasswordMultiTypeEntity" action="{{ path(pathAction, {page: page}) }}"
                          style="display: inline-block">
                        <input type="hidden" name="_method" value="POST">
                        <button type="submit" class="btn btn-primary">
                            <span class="fas fa-sync-alt"></span>
                            Réinitialisation
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        document.getElementById('modalReloadPasswordMultiple').addEventListener('shown.bs.modal', function (event) {
            let checkboxes = $('table tbody input[type=checkbox]'),
                hidden,
                value;

            $("#reloadPasswordMultiTypeEntity").find('input[type=hidden][name!=_method]').remove();

            $(checkboxes).each(function(idx) {
                if ($(checkboxes[idx]).prop('checked') === true) {
                    value = $(checkboxes[idx]).prop('value');

                    hidden = '<input type="hidden" name="reload[]" value="' + value + '" />';

                    $("#reloadPasswordMultiTypeEntity").append(hidden);
                }
            });
        });
    </script>
{% endmacro %}

{% macro save(cancelPath, param = {}, saveName = 'Enregistrer') %}
    <a href="{{ path( cancelPath, param ) }}" class="btn btn-outline-dark">
        <span class="fa fa-times"></span>
        Annuler
    </a>
{#    {{ _self.cancel(cancelPath, param) }}#}

    <button class="btn btn-primary" type="submit">
        <span class="fa fa-save"></span>
        {{ saveName }}
    </button>
{% endmacro %}

{#{% macro cancel(cancelPath, param = {}) %}#}
{#    <a href="{{ path( cancelPath, param ) }}" class="btn btn-outline-dark">#}
{#        <span class="fa fa-times"></span>#}
{#        Annuler#}
{#    </a>#}
{#{% endmacro %}#}

{% macro associationMultipleButtonModal(idBtn, title, pathAction, form, page, modalId, formulaireName, fieldName, justOneCheckbox = false) %}
    <button id="{{ idBtn }}" class="btn btn-outline-primary" data-bs-toggle="modal"
            data-bs-target="#modal-associate" title="Associer les types d'annexes" disabled="disabled">
        <i class="fas fa-link"></i>
    </button>

    <div class="modal fade" id="modal-associate" tabindex="-1" aria-labelledby="changeOrganisationModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">

                <div class="modal-header">
                    <h4 class="modal-title" id="changeOrganisationModalLabel">
                        {{ title }}
                    </h4>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                {{ form_start(form, {'action' : path(pathAction, {page: page})}) }}

                <div class="modal-body">
                    {{ form_widget(form) }}
                </div>

                <div class="modal-footer">
                    {{ _self.cancelBtnModal() }}

                    <button type="submit" class="btn btn-primary">
                        <i class="fas fa-link"></i>
                        Associer
                    </button>
                </div>

                {{ form_end(form) }}
            </div>
        </div>
    </div>

    <script type="text/javascript">
        let modalId = {{ modalId|json_encode|raw }},
            justOneCheckbox = {{ justOneCheckbox|json_encode|raw }},
            formulaireName = {{ formulaireName|json_encode|raw }},
            fieldName = {{ fieldName|json_encode|raw }};

        document.getElementById(modalId).addEventListener('shown.bs.modal', function (event) {
            let checkboxes = $('table tbody input[type=checkbox]'),
                hidden,
                value;

            $("#"+formulaireName+"_"+fieldName).find('input[type=hidden]').remove();

            $(checkboxes).each(function(idx) {
                if ($(checkboxes[idx]).prop('checked') === true) {
                    value = $(checkboxes[idx]).prop('value');

                    if (justOneCheckbox === false) {
                        hidden = '<input type="hidden" name="'+ formulaireName +'[' + fieldName + '][]" value="' + value + '" />';
                    } else {
                        hidden = '<input type="hidden" name="'+ formulaireName +'[' + fieldName + ']" value="' + value + '" />';
                    }

                    $("#"+formulaireName+"_"+fieldName).append(hidden);
                }
            });
        });
    </script>
{% endmacro %}

{% macro dissocierButtonModal(id, title, pathAction, content, page = 1) %}
    <button type="button" class="btn btn-outline-danger borderless" title="Dissocier"
            data-bs-target="#modalDissocier{{ id }}" data-bs-toggle="modal">
        <span class="fas fa-unlink"></span>
    </button>

    <div id="modalDissocier{{ id }}" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">{{ title }}</h4>
                    <button class="close" data-bs-dismiss="modal" type="button">&times;</button>
                </div>

                <div class="modal-body">
                    {{ content }}
                </div>

                <div class="modal-footer">
                    {{ _self.cancelBtnModal() }}

                    <form method="post" action="{{ path(pathAction, {id: id, page: page}) }}"
                          style="display: inline-block">
                        <input type="hidden" name="_token" value="{{ csrf_token(id) }}">
                        <button type="submit" class="btn btn-danger">
                            <span class="fa fa-unlink"></span>
                            Dissocier
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
{% endmacro %}

{% macro dissocierMultipleButtonModal(idBtn, title, pathAction, content, page = 1) %}
    <button id="{{ idBtn }}" type="button" class="btn btn-outline-danger" title="Dissocier les types d'annexes de l'entité"
            data-bs-target="#modalDissocierMultiple" data-bs-toggle="modal" disabled="disabled">
        <span class="fa fa-unlink"></span>
    </button>

    <div id="modalDissocierMultiple" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                        {{ title }}
                    </h4>
                    <button class="close" data-bs-dismiss="modal" type="button">&times;</button>
                </div>
                <div class="modal-body">
                    {{ content }}
                </div>

                <div class="modal-footer">
                    {{ _self.cancelBtnModal() }}

                    <form method="post" id="dissociationMultiTypeEntity" action="{{ path(pathAction, {page: page}) }}"
                          style="display: inline-block">
                        <button type="submit" class="btn btn-danger">
                            <span class="fa fa-unlink"></span>
                            Dissocier
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        document.getElementById('modalDissocierMultiple').addEventListener('shown.bs.modal', function (event) {
            let checkboxes = $('table tbody input[type=checkbox]'),
                hidden,
                value;

            $("#dissociationMultiTypeEntity").find('input[type=hidden]').remove();

            $(checkboxes).each(function(idx) {
                if ($(checkboxes[idx]).prop('checked') === true) {
                    value = $(checkboxes[idx]).prop('value');

                    hidden = '<input type="hidden" name="dissociation[]" value="' + value + '" />';

                    $("#dissociationMultiTypeEntity").append(hidden);
                }
            });
        });
    </script>
{% endmacro %}

{% macro cancelBtnModal(cancelName = 'Annuler') %}
    <button type="button" class="btn btn-outline-dark" data-bs-dismiss="modal">
        <span class="fa fa-times"></span>
        {{ cancelName }}
    </button>
{% endmacro %}

{% macro archivedButton(archivedPath, id, value, page = 1) %}
    {% if (value == false) %}
        {% set title = 'Archiver le formulaire' %}
        {% set icon = 'fa-archive' %}
    {% else %}
        {% set title = 'Désarchiver le formulaire' %}
        {% set icon = 'fa-redo-alt' %}
    {% endif %}

    <form action="{{ path(archivedPath, {page: page}) }}" method="post">
        <button class="btn btn-outline-primary borderless" title="{{ title }}">
            <span class="fa {{ icon }}"></span>
        </button>
        <input type="hidden" name="archived[]" value="{{ id }}" />
    </form>
{% endmacro %}

{% macro btnArchivedMultipleWithModal(idBtn, title, pathAction, content, page = 1) %}
    <button id="{{ idBtn }}" type="button" class="btn btn-outline-primary" title="Archiver"
            data-bs-target="#modalArchivedMultiple" data-bs-toggle="modal" disabled="disabled">
        <span class="fa fa-archive"></span>
    </button>

    <div id="modalArchivedMultiple" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                        {{ title }}
                    </h4>
                    <button class="close" data-bs-dismiss="modal" type="button">&times;</button>
                </div>
                <div class="modal-body">
                    {{ content }}
                </div>

                <div class="modal-footer">
                    {{ _self.cancelBtnModal() }}

                    <form method="post" id="archivedMultiTypeEntity" action="{{ path(pathAction, {page: page}) }}"
                          style="display: inline-block">
                        <input type="hidden" name="_method" value="POST">
                        <button type="submit" class="btn btn-primary">
                            <span class="fa fa-archive"></span>
                            Archiver
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        document.getElementById('modalArchivedMultiple').addEventListener('shown.bs.modal', function (event) {
            let checkboxes = $('table tbody input[type=checkbox]'),
                hidden,
                value;

            $("#archivedMultiTypeEntity").find('input[type=hidden][name!=_method]').remove();

            $(checkboxes).each(function(idx) {
                if ($(checkboxes[idx]).prop('checked') === true) {
                    value = $(checkboxes[idx]).prop('value');

                    hidden = '<input type="hidden" name="archived[]" value="' + value + '" />';

                    $("#archivedMultiTypeEntity").append(hidden);
                }
            });
        });
    </script>
{% endmacro %}

{% macro btnUnarchivedMultipleWithModal(idBtn, title, pathAction, content, page = 1) %}
    <button id="{{ idBtn }}" type="button" class="btn btn-outline-primary" title="Désarchiver"
            data-bs-target="#modalUnarchivedMultiple" data-bs-toggle="modal" disabled="disabled">
        <span class="fa fa-redo-alt"></span>
    </button>

    <div id="modalUnarchivedMultiple" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                        {{ title }}
                    </h4>
                    <button class="close" data-bs-dismiss="modal" type="button">&times;</button>
                </div>
                <div class="modal-body">
                    {{ content }}
                </div>

                <div class="modal-footer">
                    {{ _self.cancelBtnModal() }}

                    <form method="post" id="unarchivedMultiTypeEntity" action="{{ path(pathAction, {page: page}) }}"
                          style="display: inline-block">
                        <input type="hidden" name="_method" value="POST">
                        <button type="submit" class="btn btn-primary">
                            <span class="fa fa-redo-alt"></span>
                            Désarchiver
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        document.getElementById('modalUnarchivedMultiple').addEventListener('shown.bs.modal', function (event) {
            let checkboxes = $('table tbody input[type=checkbox]'),
                hidden,
                value;

            $("#unarchivedMultiTypeEntity").find('input[type=hidden][name!=_method]').remove();

            $(checkboxes).each(function(idx) {
                if ($(checkboxes[idx]).prop('checked') === true) {
                    value = $(checkboxes[idx]).prop('value');

                    hidden = '<input type="hidden" name="archived[]" value="' + value + '" />';

                    $("#unarchivedMultiTypeEntity").append(hidden);
                }
            });
        });
    </script>
{% endmacro %}